WheelPart

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.ctdp.rfdynhud.gamedata
Enum WheelPart

    java.lang.Object
      java.lang.Enum<WheelPart>
          net.ctdp.rfdynhud.gamedata.WheelPart

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WheelPart>

    public enum WheelPart

extends java.lang.Enum<WheelPart>

Author:
  Marvin Froehlich (CTDP)

Enum Constant Summary
`CENTER`
`INSIDE`
`OUTSIDE`

Method Summary
`int` | `getArrayIndexFL()`
`int` | `getArrayIndexFR()`
`int` | `getArrayIndexRL()`
`int` | `getArrayIndexRR()`
`static WheelPart` | `getLeftPart(Wheel wheel)` Gets for the left wheels and for the right wheels.
`static WheelPart` | `getRightPart(Wheel wheel)` Gets for the left wheels and for the right wheels.
`static WheelPart` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WheelPart[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSIDE

    public static final WheelPart INSIDE

### CENTER

    public static final WheelPart CENTER

### OUTSIDE

    public static final WheelPart OUTSIDE

Method Detail

### values

    public static WheelPart[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WheelPart c : WheelPart.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WheelPart valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getArrayIndexFL

    public final int getArrayIndexFL()

### getArrayIndexFR

    public final int getArrayIndexFR()

### getArrayIndexRL

    public final int getArrayIndexRL()

### getArrayIndexRR

    public final int getArrayIndexRR()

### getLeftPart

    public static final WheelPart getLeftPart(Wheel wheel)

  Gets for the left wheels and for the right wheels.

  Parameters:
    `wheel` -
  Returns:
    for the left wheels and for the right wheels.

### getRightPart

    public static final WheelPart getRightPart(Wheel wheel)

  Gets for the left wheels and for the right wheels.

  Parameters:
    `wheel` -
  Returns:
    for the left wheels and for the right wheels.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD